import request from '/@/utils/request';

export function gasDataApi() {
    return {

        //气体监测数据-折线图
        getGasLineChart: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasMonitorData/gas/lineChart`,
                method: 'post',
                data: data
            });
        },

        //气体监测数据-分页
        getGasLinePage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasMonitorData/gas/page`,
                method: 'post',
                data: data
            });
        },
        //气体监测数据-导出
        exportGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasMonitorData/gasConcentration/export`,
                method: 'post',
                data: data
            });
        },

    };
}
